Bug 961999 - ami-f34ddbc3 RHEL 6.4 x86_64 us-west-2
ami-f34ddbc3 RHEL 6.4 x86_64 us-west-2
Status: CLOSED NOTABUG
Product: Cloud Image Validation
Classification: Red Hat
Component: images (Show other bugs)
RHEL6.4
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: mkovacik
mkovacik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 18:18 EDT by mkovacik
Modified: 2013-05-10 18:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-10 18:22:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ami-f34ddbc3.yaml (48.99 KB, text/yaml)
2013-05-10 18:18 EDT, mkovacik
no flags Details

  None (edit)
Description mkovacik 2013-05-10 18:18:28 EDT

    
Comment 1 mkovacik 2013-05-10 18:18:31 EDT
Created attachment 746412 [details]
ami-f34ddbc3.yaml
Comment 2 mkovacik 2013-05-10 18:18:36 EDT
Validation failed for ami-f34ddbc3 in us-west-2 product: RHEL, version: 6.4, arch: x86_64

t1.micro
test stage1:testcase_01_bash_history succeeded
test stage1:testcase_02_ipv6 succeeded
test stage1:testcase_03_chkconfig succeeded
test stage1:testcase_05_grub succeeded
test stage1:testcase_06_inittab succeeded
test stage1:testcase_07_libc6_xen_conf succeeded
test stage1:testcase_08_memory succeeded
test stage1:testcase_09_nameserver succeeded
test stage1:testcase_10_networking succeeded
test stage1:testcase_11_package_set failed
--->
	command: rpm -qa --queryformat '%{NAME},' && echo
	match: .*
(.*),
.*
	result: passed
	value: ['basesystem,glibc-common,glib2,libstdc++,db4,libpng,pcre,elfutils-libelf,libgpg-error,dmidecode,libtiff,zip,perl-String-CRC32,sgpio,mailx,wireless-tools,perl-URI,bash,nss,gawk,binutils,make,libXfont,m4,gzip,hmaccalc,desktop-file-utils,lm_sensors,xorg-x11-filesystem,xorg-x11-font-utils,libXpm,libXaw,redhat-menus,redhat-release,anacron,crash,nss-tools,mtr,cpuspeed,rsync,libicu,dos2unix,ncompress,compat-libstdc++-33,tree,man-pages-de,man-pages-pl,man-pages-ru,glibc,db4,libXau,readline,libXdmcp,libXp,compat-libstdc++-33,cyrus-sasl-plain,device-mapper,apr,kpartx,libselinux-utils,device-mapper-event,aspell-en,lsof,aspell-pl,kernel-xen-devel,openssl,cairo,SysVinit,dbus-glib,neon,httpd,openssh,cracklib,libsmbclient,ruby-libs,cups-libs,mtools,webalizer,mod_authz_ldap,rng-utils,dhcpv6-client,mysql-connector-odbc,openldap-clients,tcpdump,cyrus-sasl-gssapi,audit,htmlview,libglade2,pinfo,Deployment_Guide-ja-JP,Deployment_Guide-ko-KR,Deployment_Guide-en-US,logwatch,krb5-libs,neon,curl,python,python-libs,pygobject2,python-iniparse,man,passwd,python-rhsm,ntsysv,mx,libselinux-python,pygtk2-libglade,mkinitrd,postgresql-python,mutt,libhugetlbfs,pciutils,python-urlgrabber,yum-security,yum-fastestmirror,sos,pam_pkcs11,subversion,hal,xorg-x11-xfs,system-config-network-tui,fonts-japanese,fonts-KOI8-R-100dpi,libgcc,filesystem,cracklib-dicts,tzdata,glibc,chkconfig,mktemp,nspr,audit-libs,expat,tcp_wrappers,atk,libcap,libacl,libjpeg,libICE,libSM,file,libsysfs,perl,libXau,gnutls,libfontenc,unixODBC-libs,pax,perl-DBI,gmp,ethtool,libXdmcp,pkgconfig,libFS,libart_lgpl,checkpolicy,hesiod,kernel-headers,libtermcap,ncurses,grep,readline,sed,freetype,sqlite,diffutils,ttmkfdir,libidn,iptables,bc,libgomp,time,less,bzip2,vim-common,svrcore,groff,iproute,gamin,tcl,crontabs,libX11,libXrender,libXt,libXrandr,libXfixes,libXcursor,libXinerama,libXi,glibc-headers,redhat-logos,bitstream-vera-fonts,libXp,mozldap,jwhois,ftp,udftools,nano,dialog,telnet,unzip,fbset,acl,attr,beecrypt,compat-db,lslk,unix2dos,dosfstools,symlinks,pam_passwdqc,libaio,pam_smb,setarch,man-pages-ko,man-pages-fr,redhat-release-notes,man-pages-it,man-pages-ja,man-pages-cs,words,libgcc,libstdc++,libsepol,ncurses,expat,keyutils-libs,cyrus-sasl-lib,audit-libs,libX11,libidn,compat-db,beecrypt,libaio,pam_passwdqc,gcc,shadow-utils,e2fsprogs-libs,aspell,psmisc,logrotate,libutempter,e2fsprogs,patch,cryptsetup-luks,lvm2,vim-minimal,tmpwatch,mlocate,nss_db,aspell-pt,aspell-de,aspell-fr,aspell-it,aspell-es,coreutils,krb5-libs,openldap,fontconfig,postgresql-libs,fipscheck-lib,dbus-libs,mysql,libXft,curl,at,initscripts,exim,mcstrans,nscd,dbus,gnupg,gd,samba-common,distcache,ruby,bind-libs,tcsh,dmraid-events,bind-utils,samba-client,nss_ldap,openssh-server,mod_perl,postgresql,vsftpd,dhclient,quota,xterm,postgresql-odbc,prelink,autofs,cyrus-sasl-md5,pam_ccreds,pkinit-nss,pam_krb5,pam_pkcs11,tux,ksh,hicolor-icon-theme,libgcj,ruby-irb,sgml-common,psgml,Deployment_Guide-fr-FR,Deployment_Guide-pt-BR,Deployment_Guide-ru-RU,Deployment_Guide-zh-TW,Deployment_Guide-zh-CN,Deployment_Guide-it-IT,liberation-fonts,libselinux,e2fsprogs-libs,openssl,apr,postgresql-libs,cyrus-sasl-md5,cyrus-sasl-gssapi,nss_db,newt,rhpl,libxml2-python,m2crypto,gettext,rpm-python,java-1.4.2-gcj-compat,libsemanage,system-config-securitylevel-tui,libuser,usermode,kbd,antlr,gamin-python,python-sqlite,audit-libs-python,python-ethtool,pyOpenSSL,policycoreutils,pygtk2,PyXML,iscsi-initiator-utils,module-init-tools,setools,setuptool,net-snmp,mod_python,subversion,readahead,hwdata,selinux-policy,redhat-lsb,usbutils,subscription-manager,yum-updatesd,yum-updateonboot,selinux-policy-targeted,system-config-securitylevel,rhel-instnum,pam,pam_ccreds,nss_ldap,libhugetlbfs,chkfontpath,kudzu,pm-utils,rhn-client-tools,rhn-setup,fonts-KOI8-R,fonts-korean,fonts-chinese,rhn-check,fonts-KOI8-R-75dpi,gpg-pubkey,setup,mailcap,zlib,popt,cyrus-sasl-lib,bzip2-libs,libattr,keyutils-libs,libusb,gdbm,libgcrypt,slang,perl-BSD-Resource,mingetty,libnl,libvolume_id,libtool-ltdl,termcap,info,libsepol,libxml2,procps,cpio,ed,gpm,iptables-ipv6,cpp,iputils,virt-what,libXext,libXmu,jpackage-utils,libXtst,glibc-devel,nash,iptstate,lftp,mgetty,nc,sysfsutils,cyrus-sasl-plain,finger,traceroute,hdparm,setserial,grub,man-pages-es,rootfiles,man-pages,zlib,nspr,nss,sqlite,libXext,libicu,pam_smb,libselinux,findutils,tar,net-tools,device-mapper-multipath,MAKEDEV,parted,vim-enhanced,aspell-cs,aspell-ru,pam,util-linux,udev,apr-util,pango,rsyslog,vixie-cron,dmraid,which,net-snmp-libs,fipscheck,alsa-lib,mod_ssl,openssh-clients,acpid,irqbalance,openswan,krb5-workstation,stunnel,nmap,screen,conman,gtk2,w3m,ruby-rdoc,Deployment_Guide-de-DE,Deployment_Guide-es-ES,xinetd,device-mapper,openldap,apr-util,parted,rpm,dbus-python,rpm-libs,python-dmidecode,python-simplejson,authconfig,gjdoc,pycairo,yum-metadata-parser,python-numeric,python-elementtree,sudo,postgresql-jdbc,MySQL-python,cracklib,rhnlib,yum,yum-utils,kernel-xen,python-setuptools,pam_krb5,redhat-lsb,rhnsd,yum-rhn-plugin,firstboot-tui,rh-amazon-rhui-client,gpg-pubkey']
<---
--->
	comment: Newly introduced packages: ['Deployment_Guide-de-DE', 'Deployment_Guide-en-US', 'Deployment_Guide-es-ES', 'Deployment_Guide-fr-FR', 'Deployment_Guide-it-IT', 'Deployment_Guide-ja-JP', 'Deployment_Guide-ko-KR', 'Deployment_Guide-pt-BR', 'Deployment_Guide-ru-RU', 'Deployment_Guide-zh-CN', 'Deployment_Guide-zh-TW', 'MySQL-python', 'PyXML', 'SysVinit', 'anacron', 'antlr', 'apr', 'apr-util', 'aspell', 'aspell-cs', 'aspell-de', 'aspell-en', 'aspell-es', 'aspell-fr', 'aspell-it', 'aspell-pl', 'aspell-pt', 'aspell-ru', 'audit-libs-python', 'beecrypt', 'bitstream-vera-fonts', 'chkfontpath', 'compat-db', 'compat-libstdc++-33', 'conman', 'cpp', 'cyrus-sasl-md5', 'device-mapper-multipath', 'dhcpv6-client', 'dialog', 'distcache', 'dos2unix', 'exim', 'fbset', 'finger', 'firstboot-tui', 'fonts-KOI8-R', 'fonts-KOI8-R-100dpi', 'fonts-KOI8-R-75dpi', 'fonts-chinese', 'fonts-japanese', 'fonts-korean', 'ftp', 'gamin-python', 'gcc', 'gd', 'gjdoc', 'glibc-devel', 'glibc-headers', 'gnupg', 'gpg-pubkey', 'gpm', 'hmaccalc', 'htmlview', 'httpd', 'iptstate', 'iscsi-initiator-utils', 'java-1.4.2-gcj-compat', 'jwhois', 'kernel-headers', 'kernel-xen', 'kernel-xen-devel', 'ksh', 'kudzu', 'lftp', 'libFS', 'libXaw', 'libXdmcp', 'libXmu', 'libXp', 'libXpm', 'libart_lgpl', 'liberation-fonts', 'libgcj', 'libglade2', 'libicu', 'libjpeg', 'libselinux-python', 'libsmbclient', 'libsysfs', 'libtermcap', 'libtool-ltdl', 'libvolume_id', 'lm_sensors', 'logwatch', 'lslk', 'man-pages-cs', 'man-pages-de', 'man-pages-es', 'man-pages-fr', 'man-pages-it', 'man-pages-ja', 'man-pages-ko', 'man-pages-pl', 'man-pages-ru', 'mcstrans', 'mgetty', 'mkinitrd', 'mktemp', 'mod_authz_ldap', 'mod_perl', 'mod_python', 'mod_ssl', 'mozldap', 'mtools', 'mutt', 'mx', 'mysql', 'mysql-connector-odbc', 'nash', 'nc', 'ncompress', 'neon', 'net-snmp', 'net-snmp-libs', 'nmap', 'nscd', 'nss_db', 'nss_ldap', 'openldap-clients', 'openswan', 'pam_ccreds', 'pam_pkcs11', 'pam_smb', 'perl-BSD-Resource', 'perl-String-CRC32', 'pkinit-nss', 'postgresql', 'postgresql-jdbc', 'postgresql-libs', 'postgresql-odbc', 'postgresql-python', 'psgml', 'pygtk2', 'pygtk2-libglade', 'python-elementtree', 'python-numeric', 'python-sqlite', 'redhat-menus', 'redhat-release', 'redhat-release-notes', 'rh-amazon-rhui-client', 'rhel-instnum', 'rhpl', 'rng-utils', 'ruby', 'ruby-irb', 'ruby-libs', 'ruby-rdoc', 'screen', 'setarch', 'setools', 'sgml-common', 'stunnel', 'subversion', 'svrcore', 'symlinks', 'sysfsutils', 'system-config-securitylevel', 'system-config-securitylevel-tui', 'tcl', 'telnet', 'termcap', 'tree', 'ttmkfdir', 'tux', 'udftools', 'unix2dos', 'unixODBC-libs', 'util-linux', 'vixie-cron', 'vsftpd', 'w3m', 'webalizer', 'xinetd', 'xorg-x11-filesystem', 'xorg-x11-xfs', 'xterm', 'yum-fastestmirror', 'yum-security', 'yum-updateonboot', 'yum-updatesd']
	result: passed
<---
--->
	comment: some packages are missing: ['ConsoleKit', 'ConsoleKit-libs', 'Red_Hat_Enterprise_Linux-Release_Notes-6-en-US', 'SDL', 'abrt', 'abrt-addon-ccpp', 'abrt-addon-kerneloops', 'abrt-addon-python', 'abrt-cli', 'abrt-libs', 'abrt-tui', 'aic94xx-firmware', 'alsa-utils', 'atlas', 'atmel-firmware', 'avahi-libs', 'b43-fwcutter', 'b43-openfwwf', 'bfa-firmware', 'biosdevname', 'blktrace', 'bridge-utils', 'btparser', 'busybox', 'c-ares', 'ca-certificates', 'cas', 'cdparanoia-libs', 'certmonger', 'cifs-utils', 'coreutils-libs', 'crash-gcore-command', 'crash-trace-command', 'crda', 'cronie', 'cronie-anacron', 'cryptsetup-luks-libs', 'cups', 'cvs', 'cyrus-sasl', 'dash', 'db4-utils', 'dejavu-fonts-common', 'dejavu-sans-fonts', 'device-mapper-event-libs', 'device-mapper-libs', 'device-mapper-persistent-data', 'dhcp-common', 'dracut', 'dracut-kernel', 'dstat', 'efibootmgr', 'eggdbus', 'eject', 'elfutils', 'elfutils-libs', 'elinks', 'file-libs', 'flac', 'fontpackages-filesystem', 'foomatic', 'foomatic-db', 'foomatic-db-filesystem', 'foomatic-db-ppds', 'fprintd', 'fprintd-pam', 'gdb', 'ghostscript', 'ghostscript-fonts', 'giflib', 'gnupg2', 'gpgme', 'gpm-libs', 'grubby', 'gstreamer', 'gstreamer-plugins-base', 'gstreamer-tools', 'hal-info', 'hal-libs', 'hunspell', 'hunspell-en', 'hwloc', 'iotop', 'ipa-client', 'ipa-python', 'ipw2100-firmware', 'ipw2200-firmware', 'iso-codes', 'ivtv-firmware', 'iw', 'iwl100-firmware', 'iwl1000-firmware', 'iwl3945-firmware', 'iwl4965-firmware', 'iwl5000-firmware', 'iwl5150-firmware', 'iwl6000-firmware', 'iwl6000g2a-firmware', 'iwl6050-firmware', 'jasper-libs', 'java-1.6.0-openjdk', 'java-1.7.0-openjdk', 'jline', 'kbd-misc', 'kernel', 'kernel-firmware', 'kexec-tools', 'keyutils', 'latencytop', 'latencytop-common', 'latencytop-tui', 'latrace', 'lcms-libs', 'ledmon', 'libX11-common', 'libXcomposite', 'libXdamage', 'libXv', 'libXxf86vm', 'libasyncns', 'libblkid', 'libcap-ng', 'libcgroup', 'libcollection', 'libcom_err', 'libcurl', 'libdhash', 'libdrm', 'libedit', 'libertas-usb8388-firmware', 'libevent', 'libffi', 'libfprint', 'libgfortran', 'libgssglue', 'libgudev1', 'libhugetlbfs-utils', 'libini_config', 'libipa_hbac', 'libipa_hbac-python', 'libitm', 'libjpeg-turbo', 'libldb', 'libmng', 'libnih', 'libogg', 'liboil', 'libpath_utils', 'libpcap', 'libpciaccess', 'libproxy', 'libproxy-bin', 'libproxy-python', 'libref_array', 'libreport', 'libreport-cli', 'libreport-compat', 'libreport-plugin-kerneloops', 'libreport-plugin-logger', 'libreport-plugin-mailx', 'libreport-plugin-reportuploader', 'libreport-plugin-rhtsupport', 'libreport-python', 'libsndfile', 'libss', 'libssh2', 'libsss_autofs', 'libsss_idmap', 'libtalloc', 'libtar', 'libtasn1', 'libtdb', 'libtevent', 'libthai', 'libtheora', 'libtirpc', 'libtopology', 'libudev', 'libusb1', 'libuuid', 'libvisual', 'libvorbis', 'libxcb', 'libxslt', 'ltrace', 'lua', 'lvm2-libs', 'man-pages-overrides', 'mcelog', 'mdadm', 'mesa-dri-drivers', 'mesa-dri-filesystem', 'mesa-dri1-drivers', 'mesa-libGL', 'mesa-libGLU', 'microcode_ctl', 'mysql-libs', 'ncurses-base', 'ncurses-libs', 'newt-python', 'nfs-utils', 'nfs-utils-lib', 'nfs4-acl-tools', 'nss-softokn', 'nss-softokn-freebl', 'nss-sysinit', 'nss-util', 'nss_compat_ossl', 'ntp', 'ntpdate', 'numactl', 'numad', 'numpy', 'oddjob', 'oddjob-mkhomedir', 'openjpeg-libs', 'oprofile', 'pciutils-libs', 'pcmciautils', 'perf', 'perl-Archive-Extract', 'perl-Archive-Tar', 'perl-CGI', 'perl-CPAN', 'perl-CPANPLUS', 'perl-Compress-Raw-Bzip2', 'perl-Compress-Raw-Zlib', 'perl-Compress-Zlib', 'perl-Crypt-SSLeay', 'perl-DBD-SQLite', 'perl-DBIx-Simple', 'perl-Digest-SHA', 'perl-ExtUtils-CBuilder', 'perl-ExtUtils-Embed', 'perl-ExtUtils-MakeMaker', 'perl-ExtUtils-ParseXS', 'perl-File-Fetch', 'perl-HTML-Parser', 'perl-HTML-Tagset', 'perl-IO-Compress-Base', 'perl-IO-Compress-Bzip2', 'perl-IO-Compress-Zlib', 'perl-IO-Zlib', 'perl-IPC-Cmd', 'perl-Locale-Maketext-Simple', 'perl-Log-Message', 'perl-Log-Message-Simple', 'perl-Module-Build', 'perl-Module-CoreList', 'perl-Module-Load', 'perl-Module-Load-Conditional', 'perl-Module-Loaded', 'perl-Module-Pluggable', 'perl-Object-Accessor', 'perl-Package-Constants', 'perl-Params-Check', 'perl-Parse-CPAN-Meta', 'perl-Pod-Escapes', 'perl-Pod-Simple', 'perl-Term-UI', 'perl-Test-Harness', 'perl-Test-Simple', 'perl-Time-HiRes', 'perl-Time-Piece', 'perl-XML-Dumper', 'perl-XML-Grove', 'perl-XML-Parser', 'perl-XML-Twig', 'perl-core', 'perl-devel', 'perl-libs', 'perl-libwww-perl', 'perl-libxml-perl', 'perl-parent', 'perl-version', 'phonon-backend-gstreamer', 'pinentry', 'pixman', 'plymouth', 'plymouth-core-libs', 'plymouth-scripts', 'polkit', 'poppler', 'poppler-data', 'poppler-utils', 'portreserve', 'postfix', 'powertop', 'psacct', 'pth', 'pulseaudio-libs', 'pygpgme', 'pytalloc', 'python-crypto', 'python-dateutil', 'python-gudev', 'python-iwlib', 'python-kerberos', 'python-krbV', 'python-ldap', 'python-lxml', 'python-matplotlib', 'python-netaddr', 'python-nose', 'python-nss', 'python-paramiko', 'python-pycurl', 'pytz', 'ql2100-firmware', 'ql2200-firmware', 'ql23xx-firmware', 'ql2400-firmware', 'ql2500-firmware', 'qt', 'qt-sqlite', 'qt-x11', 'qt3', 'rdate', 'redhat-indexhtml', 'redhat-lsb-core', 'redhat-lsb-graphics', 'redhat-lsb-printing', 'redhat-release-server', 'rfkill', 'rhino', 'rng-tools', 'rpcbind', 'rt61pci-firmware', 'rt73usb-firmware', 'samba-winbind', 'samba-winbind-clients', 'samba4-libs', 'scl-utils', 'seekwatcher', 'sg3_utils-libs', 'smartmontools', 'sssd', 'sssd-client', 'strace', 'sysstat', 'system-config-firewall-base', 'system-config-firewall-tui', 'systemtap-runtime', 'sysvinit-tools', 'tcp_wrappers-libs', 'theora-tools', 'trace-cmd', 'tzdata-java', 'upstart', 'urw-fonts', 'ustr', 'util-linux-ng', 'valgrind', 'vconfig', 'wget', 'xdg-utils', 'xml-common', 'xmlrpc-c', 'xmlrpc-c-client', 'xorg-x11-drv-ati-firmware', 'xz', 'xz-libs', 'xz-lzma-compat', 'yp-tools', 'ypbind', 'yum-plugin-security', 'zd1211-firmware']
	result: failed
<---
test stage1:testcase_12_passwd_group failed
--->
	command: grep '^root:x:0:0:root:/root:/bin/bash' /etc/passwd
	result: passed
<---
--->
	command: grep '^nobody:x:99:99:Nobody:/:/sbin/nologin' /etc/passwd
	result: passed
<---
--->
	command: grep '^sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin' /etc/passwd
	result: passed
<---
--->
	command: grep '^root:x:0:' /etc/group
	result: passed
<---
--->
	actual: 1
	command: grep '^daemon:x:2:bin,daemon' /etc/group
	result: failed
<---
--->
	actual: 1
	command: grep '^bin:x:1:bin,daemon' /etc/group
	result: failed
<---
test stage1:testcase_13_resize2fs failed
--->
	actual: 1
	command: if [ -b /dev/xvde1 ]; then resize2fs -p /dev/xvde1 15000M ; else resize2fs -p /dev/xvda1 15000M; fi
	result: failed
<---
--->
	actual: 1
	command: df -h | grep 15G
	result: failed
<---
test stage1:testcase_14_host_details succeeded
test stage1:testcase_15_rhel_version failed
--->
	command: rpm -q --qf '%{RELEASE}
' --whatprovides redhat-release
	match: .*
([0-9]\.[0-9]\..*)
.*
	result: passed
	value: ['5.9.0.2']
<---
--->
	actual: 1
	command: [ '6.4' = '5.9' ]
	result: failed
<---
test stage1:testcase_16_selinux succeeded
test stage1:testcase_17_shells succeeded
test stage1:testcase_18_sshd succeeded
test stage1:testcase_19_rhn_system_id succeeded
test stage1:testcase_20_auditd failed
--->
	actual: md5sum /etc/audit/auditd.conf | cut -f 1 -d ' '
612ddf28c3916530d47ef56a1b1ed1ed
[root@ip-10-254-88-166 ~]# 
	command: md5sum /etc/audit/auditd.conf | cut -f 1 -d ' '
	expectation: e1886162554c18906df2ecd258aa4794
	result: failed
<---
--->
	actual: md5sum /etc/sysconfig/auditd  | cut -f 1 -d ' '
123beb3a97a32d96eba4f11509e39da2
[root@ip-10-254-88-166 ~]# 
	command: md5sum /etc/sysconfig/auditd  | cut -f 1 -d ' '
	expectation: d4d43637708e30418c30003e212f76fc
	result: failed
<---
--->
	command: chkconfig --list auditd
	expectation: 3:on.*5:on
	result: passed
<---
--->
	command: md5sum /etc/audit/audit.rules | cut -f 1 -d ' '
	expectation: f9869e1191838c461f5b9051c78a638d
	result: passed
<---
--->
	command: chkconfig --list auditd
	expectation: 3:on.*5:on
	result: passed
<---
test stage1:testcase_21_disk_size_format failed
--->
	command: mount | grep '^/dev' | awk '{print $1}'
	result: passed
	value: /dev/sda1
<---
--->
	command: echo '###' ;mount | grep '^/dev/sda1' | awk '{print $3}'; echo '###'
	match: .*
###
(.*)
###
.*
	result: passed
	value: ['/']
<---
--->
	command: echo '###' ;mount | grep '^/dev/sda1' | awk '{print $5}'; echo '###'
	match: .*
###
(.*)
###
.*
	result: passed
	value: ['ext3']
<---
--->
	command: [ `df -k /dev/sda1 | awk '{ print $2 }' | tail -n 1` -gt 3937219 ]
	result: passed
<---
--->
	actual: 1
	command: [ ext3 = ext4 ]
	result: failed
<---
test stage1:testcase_22_gpg_keys failed
--->
	command: grep '^gpgcheck=' /etc/yum.repos.d/redhat-*.repo | cut -d\= -f2 | sort -uf | tr -d ' '
	expectation: 
1

	result: passed
<---
--->
	command: rpm -qa gpg-pubkey* | wc -l
	expectation: 
2

	result: passed
<---
--->
	command: rpm -q gpg-pubkey-2fa658e0-45700c69
	result: passed
<---
--->
	actual: 1
	command: rpm -q gpg-pubkey-fd431d51-4ae0493b
	result: failed
<---
test stage1:testcase_23_syslog failed
--->
	command: md5sum /etc/rsyslog.conf | cut -f 1 -d ' '
	result: passed
	value: 15936b6fe4e8fadcea87b54de495f975
<---
--->
	actual: 1
	command: [ 15936b6fe4e8fadcea87b54de495f975 = 8b91b32300134e98ef4aee632ed61e21 ]
	result: failed
<---
test stage1:testcase_24_yum_plugin succeeded
test stage1:testcase_25_uname failed
--->
	command: uname -r
	result: passed
	value: 2.6.18-348.el5xen
<---
--->
	command: rpm -q --last kernel | sed -e 's,^kernel-,,' -e 's,[[:space:]].*$,,' | head -1
	result: passed
	value: package
<---
--->
	command: uname -o
	result: passed
	value: GNU/Linux
<---
--->
	actual: 1
	command: [ package = 2.6.18-348.el5xen ]
	result: failed
<---
--->
	command: [ GNU/Linux = 'GNU/Linux' ]
	result: passed
<---
--->
	command: grep UPDATEDEFAULT=yes /etc/sysconfig/kernel
	result: passed
<---
--->
	command: grep DEFAULTKERNEL=kernel /etc/sysconfig/kernel
	result: passed
<---
test stage1:testcase_26_verify_rpms failed
--->
	command: rpm -Va --nomtime --nosize --nomd5 | sort -fu | wc -l
	result: passed
	value: 3
<---
--->
	command: rpm -q --queryformat '%{RELEASE}
' redhat-release-server | cut -d. -f1,2
	result: passed
	value: package redhat-release-server is not installed
<---
--->
	actual: 1
	command: [ 3 = 6 ]
	result: failed
<---
--->
	actual: 2
	command: [ package redhat-release-server is not installed = 6.4 ]
	result: failed
<---
--->
	command: rpm -qa --queryformat '%{PACKAGER}
' | sort -u | grep -v 'Red Hat, Inc.'
	result: passed
	value: (none)
<---
test stage1:testcase_27_yum_repos failed
--->
	command: yum repolist -v all | csplit --prefix=repolist_xx - '%Repo-id\s*:%'
	result: passed
<---
--->
	actual repos: {'rhui-us-west-2-client-config-server-5': {'repo-status': 'enabled'}, 'rhel-debuginfo': {'repo-status': 'disabled'}, 'rhui-us-west-2-rhel-server-source': {'repo-status': 'disabled'}, 'rhui-us-west-2-rhel-server': {'repo-status': 'enabled'}}
	expected repos: {'rhui-us-west-2-rhel-server-releases': {'repo-status': 'enabled'}, 'rhui-us-west-2-rhel-server-releases-optional-source': {'repo-status': 'disabled'}, 'rhel-source-beta': {'repo-status': 'disabled'}, 'rhel-source': {'repo-status': 'disabled'}, 'rhui-us-west-2-rhel-server-releases-source': {'repo-status': 'disabled'}, 'rhui-us-west-2-rhel-server-releases-optional': {'repo-status': 'enabled'}, 'rhui-us-west-2-client-config-server-6': {'repo-status': 'enabled'}}
	result: failed
<---
test stage1:testcase_28_iptables failed
--->
	command: iptables -L -n | grep :22 | grep ACCEPT | wc -l
	expectation: 
1

	result: passed
<---
--->
	command: iptables -L -n | grep RELATED,ESTABLISHED | grep ACCEPT | wc -l
	expectation: 
1

	result: passed
<---
--->
	actual: iptables -L -n | grep REJECT | grep all | grep 0.0.0.0/0 | grep icmp-host-prohibited | wc -l
1
[root@ip-10-254-88-166 ~]# 
	command: iptables -L -n | grep REJECT | grep all | grep 0.0.0.0/0 | grep icmp-host-prohibited | wc -l
	expectation: 
2

	result: failed
<---
test stage1:testcase_30_rhn_certificates failed
--->
	command: rpm -ql rh-amazon-rhui-client | egrep '.*\.(pem|crt)'
	result: passed
	value: /etc/pki/entitlement/ca.crt
/etc/pki/entitlement/cdn.redhat.com-chain.crt
/etc/pki/entitlement/product/content-rhel5.crt
/etc/pki/entitlement/product/rhui-client-config-server-5.crt
<---
--->
	command: openssl x509 -in /etc/pki/entitlement/ca.crt -noout -dates | grep notAfter
	result: passed
	value: notAfter=Nov 30 19:46:02 2017 GMT
<---
--->
	comment: (/etc/pki/entitlement/ca.crt).notAfter=2017-11-30 19:46:02; expecting: 2017-11-10 00:00:00
	result: passed
<---
--->
	command: openssl x509 -in /etc/pki/entitlement/cdn.redhat.com-chain.crt -noout -dates | grep notAfter
	result: passed
	value: notAfter=Mar 13 11:24:54 2030 GMT
<---
--->
	comment: (/etc/pki/entitlement/cdn.redhat.com-chain.crt).notAfter=2030-03-13 11:24:54; expecting: 2017-11-10 00:00:00
	result: passed
<---
--->
	command: openssl x509 -in /etc/pki/entitlement/product/content-rhel5.crt -noout -dates | grep notAfter
	result: passed
	value: notAfter=Mar 31 18:44:41 2017 GMT
<---
--->
	comment: (/etc/pki/entitlement/product/content-rhel5.crt).notAfter=2017-03-31 18:44:41; expecting: 2017-11-10 00:00:00
	result: failed
<---
--->
	command: openssl x509 -in /etc/pki/entitlement/product/rhui-client-config-server-5.crt -noout -dates | grep notAfter
	result: passed
	value: notAfter=Mar 31 18:41:55 2017 GMT
<---
--->
	comment: (/etc/pki/entitlement/product/rhui-client-config-server-5.crt).notAfter=2017-03-31 18:41:55; expecting: 2017-11-10 00:00:00
	result: failed
<---
test stage1:testcase_32_ephemeral succeeded
test stage1:testcase_33_userdata succeeded
test stage1:testcase_34_cpu succeeded
test stage1:testcase_360_ebs failed
--->
	actual: 2
	command: ls -l /dev/xvdo
	result: failed
<---
--->
	command: ls -la /sbin/mkfs.vfat 2> /dev/null | wc -l
	result: passed
	value: 1
<---
--->
	actual: 1
	command: mkfs.vfat -I /dev/xvdo
	result: failed
<---
test stage1:testcase_361_ebs_deferred_detach failed
--->
	actual: 2
	command: ls -l /dev/xvdo
	result: failed
<---
--->
	actual: 1
	command: mkfs.ext3 /dev/xvdo
	result: failed
<---
--->
	command: mkdir /mnt/deferred
	result: passed
<---
--->
	actual: 32
	command: mount /dev/xvdo /mnt/deferred
	result: failed
<---
--->
	command: dd if=/dev/zero of=/mnt/deferred/zzz_file bs=512 count=102400
	result: passed
<---
--->
	actual: 1
	command: umount /mnt/deferred
	result: failed
<---
test stage1:testcase_39_root_is_locked succeeded
test stage1:testcase_50_yum_package_install succeeded
test stage1:testcase_55_yum_group_install succeeded
test stage1:testcase_60_yum_update succeeded
test stage1:testcase_61_yum_proxy succeeded
test stage1:testcase_99_reboot succeeded
test stage2:testcase_08_memory succeeded
test stage2:testcase_25_uname failed
--->
	command: uname -r
	result: passed
	value: 2.6.18-348.el5xen
<---
--->
	command: rpm -q --last kernel | sed -e 's,^kernel-,,' -e 's,[[:space:]].*$,,' | head -1
	result: passed
	value: package
<---
--->
	command: uname -o
	result: passed
	value: GNU/Linux
<---
--->
	actual: 1
	command: [ package = 2.6.18-348.el5xen ]
	result: failed
<---
--->
	command: [ GNU/Linux = 'GNU/Linux' ]
	result: passed
<---
--->
	command: grep UPDATEDEFAULT=yes /etc/sysconfig/kernel
	result: passed
<---
--->
	command: grep DEFAULTKERNEL=kernel /etc/sysconfig/kernel
	result: passed
<---
test stage2:testcase_37_sshd_bug923996 succeeded
Comment 3 mkovacik 2013-05-10 18:22:58 EDT
wrong params set during validation

Note You need to log in before you can comment on or make changes to this bug.